View Issue Details

IDProjectCategoryPrivateLast Update
0004396Battlefield 1UI/HUDNo2018-06-17 21:51
ReporterMaaxDamage 
SeverityMajorReproducibilitySometimes 
Status Pending ReviewResolutionReopened 
PlatformPCOSWindows 
Product VersionUpdate 21082017 - Lupkow Pass Update 
Fixed in Version 
Summary0004396: Maps shown in Serverbrowser are often the last played, and not the NEW playable map
Description

It happens to me time and time again. I choose some server with a specific map I want and end up loading something completely different. It's a REAL pain and should be easily correctable. This has been going on from the very start and nothing seems to have improved. Even when I take the extra effort and look at the chosen server's details to see where we're really going, it is NOT a guarantee that that's where I'm going to land.

There is definitely a problem with the display of the servers NEW map during crossover from the old map to the new. Players see the servers with the old maps displayed (where they think they're going!) and more often than not end up in some alternate reality.

I would truly appreciate someone looking into this game-experience dampening problem.

Thanks in advance,
MaaxDamage

Steps To Reproduce

Just pick out a new place to go in your server browser and wait for the surprise.

Actual Result
Expected Result

Activities

Armand Neculai

2017-08-29 15:38


  ~0004964

Can you provide a video of this issue please ?

MaaxDamage

2017-10-09 22:48

Registered User
  ~0005259

Last edited: 2017-10-09 22:52

View 2 revisions

I finally got really luck and managed to capture 2 instances of what I'm talking about this evening. As you can see, I start off choosing server X, and then by magic I'm loading server Y. Provides a rather bad user experience! Hope this helps you find the PROBLEM.

MaaxDamage

2017-10-09 22:53

Registered User
  ~0005260

Last edited: 2017-10-09 22:54

View 2 revisions

Having problems getting the files to upload.

MaaxDamage

2017-10-09 22:54

Registered User
  ~0005261

Last edited: 2017-10-17 18:03

View 2 revisions

Try just one

MaaxDamage

2017-10-09 22:55

Registered User
  ~0005262

Last edited: 2017-10-12 22:59

View 2 revisions

and the last one
Just realized you evidently only allow simple images to be uploaded and NOT vids (mp4 and 7z compressed). How am I going to get around that??

TrackerBugger

2017-10-12 23:39

Registered User
  ~0005294

streamable.com

Jaskaman

2017-10-13 06:40

Registered User
  ~0005303

This is a side effect of IP changing and map that loads in being different than what was voted

MaaxDamage

2017-10-17 18:06

Registered User
 

Battlefield™ 1 09.10.2017 23_11_36.mp4.png (4,016,189 bytes)

MaaxDamage

2017-10-17 18:06

Registered User
  ~0005489

Sooooo...... Here is the first file, actually an mp4. I hung a png extension on it, so just remove the png and let it rip.

MaaxDamage

2017-10-17 18:07

Registered User
  ~0005490

And now the last file which is 7z to get the size down.



Battlefield™ 1 09.10.2017 23_33_07.7z.png (4,143,272 bytes)

Spitfire

2018-06-08 18:51


  ~0006713

Unable to reproduce. Considering the relationship to servers changing IP mid-game, it likely is fixed.

MaaxDamage

2018-06-17 21:51

Registered User
  ~0006764

I really hate to shake up your world, BUT I still encounter this problem DAILY. I can't imagine that you're not able to see the problems inherit to the browser server! One often chooses a server which is in the throes of ending and starting a new map (which can't be seen), and suddenly you're loading a completely different map that what the server browser says. I've also had the situation that a map begins to load, only to change to yet another --- and that repeatedly. Also the specs regarding number of players is REALLY screwed up. You can go to a listed server with 63 players and upon arriving there is ALREADY a queue of 8 guys! That sir, is a situation where the server shouldn't even be listed. In short, the server browser is a can of worms and a GREAT DISAPPOINTMENT considering how long BF1 has been on the market. Now BF5 is drawing all the resources and we'll never get this problem fixed.

8 whole months and NO CHANGE. Just a shake off. Thanks much.